Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.synth
Interface SynthConstants

    public interface SynthConstants

Constants used by Synth. Not all Components support all states. A Component will at least be in one of the primary states. That is, the return value from `SynthContext.getComponentState()` will at least be one of `ENABLED`, `MOUSE_OVER`, `PRESSED` or `DISABLED`, and may also contain `FOCUSED`, `SELECTED` or `DEFAULT`.

Since:
  1.5

Field Summary
`static int` | `DEFAULT` Indicates the region is the default.
`static int` | `DISABLED` Primary state indicating the region is not enabled.
`static int` | `ENABLED` Primary state indicating the component is enabled.
`static int` | `FOCUSED` Indicates the region has focus.
`static int` | `MOUSE_OVER` Primary state indicating the mouse is over the region.
`static int` | `PRESSED` Primary state indicating the region is in a pressed state.
`static int` | `SELECTED` Indicates the region is selected.

Field Detail

### ENABLED

    static final int ENABLED

  Primary state indicating the component is enabled.

  See Also:
    Constant Field Values

### MOUSE_OVER

    static final int MOUSE_OVER

  Primary state indicating the mouse is over the region.

  See Also:
    Constant Field Values

### PRESSED

    static final int PRESSED

  Primary state indicating the region is in a pressed state. Pressed does not necessarily mean the user has pressed the mouse button.

  See Also:
    Constant Field Values

### DISABLED

    static final int DISABLED

  Primary state indicating the region is not enabled.

  See Also:
    Constant Field Values

### FOCUSED

    static final int FOCUSED

  Indicates the region has focus.

  See Also:
    Constant Field Values

### SELECTED

    static final int SELECTED

  Indicates the region is selected.

  See Also:
    Constant Field Values

### DEFAULT

    static final int DEFAULT

  Indicates the region is the default. This is typically used for buttons to indicate this button is somehow special.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.